Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Start and manage crawls via the API
domain_id
options.scan_images
options.scan_scripts
options.scan_stylesheets
options.follow_external
curl -X POST https://seocrawler.app/api/v1/crawls \ -H "Authorization: Bearer sc_your_api_key" \ -H "Content-Type: application/json" \ -d '{"domain_id": "550e8400-e29b-41d4-a716-446655440000"}'
{ "data": { "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domain_id": "550e8400-e29b-41d4-a716-446655440000", "status": "pending", "created_at": "2024-01-15T10:30:00Z" } }
page
limit
status
pending
running
completed
failed
curl "https://seocrawler.app/api/v1/crawls?status=completed&limit=10" \ -H "Authorization: Bearer sc_your_api_key"
{ "data": [ { "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domain_name": "example.com", "status": "completed", "total_links": 150, "broken_links": 3, "completed_at": "2024-01-15T10:32:45Z" } ], "meta": { "page": 1, "limit": 10, "total": 45 } }
curl https://seocrawler.app/api/v1/crawls/7c9e6679-7425-40de-944b-e07fc1f90ae7 \ -H "Authorization: Bearer sc_your_api_key"
{ "data": { "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domain_name": "example.com", "status": "completed", "total_links": 150, "broken_links": 3, "pages_crawled": 25, "started_at": "2024-01-15T10:30:00Z", "completed_at": "2024-01-15T10:32:45Z" } }
status_code
is_broken
curl "https://seocrawler.app/api/v1/crawls/7c9e6679-7425-40de-944b-e07fc1f90ae7/links?is_broken=true" \ -H "Authorization: Bearer sc_your_api_key"
{ "data": [ { "url": "https://example.com/missing", "source_url": "https://example.com/blog", "status_code": 404, "is_broken": true, "link_text": "Read more" } ], "meta": { "page": 1, "total": 3 } }
curl https://seocrawler.app/api/v1/crawls/7c9e6679-7425-40de-944b-e07fc1f90ae7/broken \ -H "Authorization: Bearer sc_your_api_key"
{ "data": [ { "url": "https://example.com/missing", "source_url": "https://example.com/", "status_code": 404, "link_text": "Old Page" } ], "meta": { "total_broken": 3 } }